Bug 1140254 (CVE-2014-7154) - CVE-2014-7154 kernel: xen: Race condition in HVMOP_track_dirty_vram (XSA-104)
Summary: CVE-2014-7154 kernel: xen: Race condition in HVMOP_track_dirty_vram (XSA-104)
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2014-7154
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1145736
Blocks: 1140259
TreeView+ depends on / blocked
 
Reported: 2014-09-10 15:13 UTC by Petr Matousek
Modified: 2019-09-29 13:21 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-10 15:17:46 UTC


Attachments (Terms of Use)

Description Petr Matousek 2014-09-10 15:13:18 UTC
The routine controlling the setup of dirty video RAM tracking latches
the value of a pointer before taking the respective guarding lock, thus
making it possible for a stale pointer to be used by the time the lock
got acquired and the pointer gets dereferenced.

Malicious or buggy stub domain kernels or tool stacks otherwise living
outside of Domain0 can mount a denial of service attack which, if
successful, can affect the whole system.

Only domains controlling HVM guests can exploit this vulnerability.
(This includes domains providing hardware emulation services to HVM
guests.)

Acknowledgements:

Red Hat would like to thank the Xen for reporting this issue.

Comment 2 Petr Matousek 2014-09-10 15:17:46 UTC
Statement:

Not vulnerable.

This issue did not affect the versions of the kernel-xen package as shipped with Red Hat Enterprise Linux 5.

Comment 3 Petr Matousek 2014-09-23 15:21:55 UTC
Created xen tracking bugs for this issue:

Affects: fedora-all [bug 1145736]


Note You need to log in before you can comment on or make changes to this bug.